Functions
Configuration
Peripheral Driver » LL Driver » ISO7816 » Functions

## Functions
__STATIC_INLINE void | ll_iso7816_set_action (iso7816_regs_t *ISO7816x, uint32_t action)
| Request ISO7816 to go to the next action. More...
__STATIC_INLINE uint32_t | ll_iso7816_is_busy (iso7816_regs_t *ISO7816x)
| Get ISO7816 states. More...
__STATIC_INLINE void | ll_iso7816_clear_tx_retry_max (iso7816_regs_t *ISO7816x)
| Clear Transmit Retries Maximum. More...
__STATIC_INLINE void | ll_iso7816_clear_rx_retry_max (iso7816_regs_t *ISO7816x)
| Clear Receive Retries Maximum. More...
__STATIC_INLINE uint32_t | ll_iso7816_check_card_presence (iso7816_regs_t *ISO7816x)
| Check Card presence. More...
__STATIC_INLINE uint32_t | ll_iso7816_get_tx_retry_max (iso7816_regs_t *ISO7816x)
| Get Maximum number of seen transmit retries after error signaling by ISO7816. More...
__STATIC_INLINE uint32_t | ll_iso7816_get_rx_retry_max (iso7816_regs_t *ISO7816x)
| Get Maximum number of seen receive retries after error signaling by ISO7816. More...
__STATIC_INLINE uint32_t | ll_iso7816_get_io_states (iso7816_regs_t *ISO7816x)
| Get ISO7816 IO States. More...
__STATIC_INLINE uint32_t | ll_iso7816_get_power_states (iso7816_regs_t *ISO7816x)
| Get ISO7816 Power States. More...
__STATIC_INLINE void | ll_iso7816_set_clkstop_level (iso7816_regs_t *ISO7816x, uint32_t level)
| Set value of the clock output during stopped Clock. More...
__STATIC_INLINE uint32_t | ll_iso7816_get_clkstop_level (iso7816_regs_t *ISO7816x)
| Get value of the clock output during stopped Clock. More...
__STATIC_INLINE void | ll_iso7816_set_clkdiv (iso7816_regs_t *ISO7816x, uint32_t value)
| Set clock division. More...
__STATIC_INLINE uint32_t | ll_iso7816_get_clkdiv (iso7816_regs_t *ISO7816x)
| Get clock division. More...
__STATIC_INLINE void | ll_iso7816_set_etudiv (iso7816_regs_t *ISO7816x, uint32_t divide)
| Set divide ISO7816 clock. More...
__STATIC_INLINE uint32_t | ll_iso7816_get_etudiv (iso7816_regs_t *ISO7816x)
| Get divide ISO7816 clock. More...
__STATIC_INLINE void | ll_iso7816_set_waittime (iso7816_regs_t *ISO7816x, uint32_t wait_time)
| Set ISO7816 wait_time in ETU. More...
__STATIC_INLINE uint32_t | ll_iso7816_get_waittime (iso7816_regs_t *ISO7816x)
| Get maximum card response time(leading edge to leading edge) More...
__STATIC_INLINE void | ll_iso7816_set_guardtime (iso7816_regs_t *ISO7816x, uint32_t guardtime)
| Set ISO7816 guard_time in ETU. More...
__STATIC_INLINE uint32_t | ll_iso7816_get_guardtime (iso7816_regs_t *ISO7816x)
| Get time between the leading edges of two consecutive characters. More...
__STATIC_INLINE void | ll_iso7816_set_retry_limit (iso7816_regs_t *ISO7816x, uint32_t number)
| Set maximum number of issued retries before giving up. More...
__STATIC_INLINE uint32_t | ll_iso7816_get_retry_limit (iso7816_regs_t *ISO7816x)
| Get maximum number of issued retries before giving up. More...
__STATIC_INLINE void | ll_iso7816_enable_coding_detection (iso7816_regs_t *ISO7816x)
| Enable coding detection. More...
__STATIC_INLINE void | ll_iso7816_disable_coding_detection (iso7816_regs_t *ISO7816x)
| Disable coding detection. More...
__STATIC_INLINE void | ll_iso7816_set_coding_convention (iso7816_regs_t *ISO7816x, uint32_t convention)
| Set coding convention. More...
__STATIC_INLINE uint32_t | ll_iso7816_get_coding_convention (iso7816_regs_t *ISO7816x)
| Get coding convention. More...
__STATIC_INLINE uint32_t | ll_iso7816_get_current_addr (iso7816_regs_t *ISO7816x)
| Get current address relative to base_addr. More...
__STATIC_INLINE uint32_t | ll_iso7816_get_current_addr_frac (iso7816_regs_t *ISO7816x)
| Get address fraction. More...
__STATIC_INLINE void | ll_iso7816_set_buffer_addr (iso7816_regs_t *ISO7816x, uint32_t addr)
| Set start address for RX and TX buffer. More...
__STATIC_INLINE uint32_t | ll_iso7816_get_buffer_addr (iso7816_regs_t *ISO7816x)
| Get start address for RX and TX buffer. More...
__STATIC_INLINE void | ll_iso7816_set_base_addr (iso7816_regs_t *ISO7816x, uint32_t addr)
| Set base address for RX and TX buffer. More...
__STATIC_INLINE uint32_t | ll_iso7816_get_base_addr (iso7816_regs_t *ISO7816x)
| Get base address for RX and TX buffer. More...
__STATIC_INLINE void | ll_iso7816_set_start_addr (iso7816_regs_t *ISO7816x, uint32_t addr)
| Set start address for RX and TX buffer, relative to base_addr. More...
__STATIC_INLINE uint32_t | ll_iso7816_get_start_addr (iso7816_regs_t *ISO7816x)
| Get start address for RX and TX buffer, relative to base_addr. More...
__STATIC_INLINE void | ll_iso7816_set_rx_end_addr (iso7816_regs_t *ISO7816x, uint32_t addr)
| Set end address of receive buffer, relative to base_addr. More...
__STATIC_INLINE void | ll_iso7816_set_rx_endbyte_addr (iso7816_regs_t *ISO7816x, uint32_t addr)
| Set RX endbyte address of receive buffer, relative to base_addr. More...
__STATIC_INLINE uint32_t | ll_iso7816_get_rx_end_addr (iso7816_regs_t *ISO7816x)
| Get RX end address of receive buffer, relative to base_addr. More...
__STATIC_INLINE void | ll_iso7816_set_rx_end_addr_frac (iso7816_regs_t *ISO7816x, uint32_t frac)
| Set RX end address fraction. More...
__STATIC_INLINE void | ll_iso7816_set_tx_endbyte_addr (iso7816_regs_t *ISO7816x, uint32_t addr)
| Set TX endbyte address of buffer, relative to base_addr. More...
__STATIC_INLINE uint32_t | ll_iso7816_get_tx_endbyte_addr (iso7816_regs_t *ISO7816x)
| Get TX endbyte address of buffer, relative to base_addr. More...
__STATIC_INLINE uint32_t | ll_iso7816_get_rx_endbyte_addr (iso7816_regs_t *ISO7816x)
| Get RX endbyte address of buffer, relative to base_addr. More...
__STATIC_INLINE uint32_t | ll_iso7816_get_rx_end_addr_frac (iso7816_regs_t *ISO7816x)
| Get RX end address fraction. More...
__STATIC_INLINE void | ll_iso7816_set_tx_end_addr (iso7816_regs_t *ISO7816x, uint32_t addr)
| Set end address of transmit buffer, relative to base_addr. More...
__STATIC_INLINE uint32_t | ll_iso7816_get_tx_end_addr (iso7816_regs_t *ISO7816x)
| Get end address of transmit buffer, relative to base_addr. More...
__STATIC_INLINE void | ll_iso7816_set_tx_end_addr_frac (iso7816_regs_t *ISO7816x, uint32_t frac)
| Set TX end address fraction. More...
__STATIC_INLINE uint32_t | ll_iso7816_get_tx_end_addr_frac (iso7816_regs_t *ISO7816x)
| Get TX end address fraction. More...

## Detailed Description

## Function Documentation

## ◆ ll_iso7816_check_card_presence()

__STATIC_INLINE uint32_t ll_iso7816_check_card_presence | ( | iso7816_regs_t * | ISO7816x | ) |

Check Card presence.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | STAT | PRESENCE | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance.

Return values

  Returned | value can be one of the following values: LL_ISO7816_CARD_ABSENT LL_ISO7816_CARD_PRESENT

Definition at line 322 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_clear_rx_retry_max()

__STATIC_INLINE void ll_iso7816_clear_rx_retry_max | ( | iso7816_regs_t * | ISO7816x | ) |

Clear Receive Retries Maximum.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | RX_RETRY_MAX_CLR | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance.

Return values

  None. |

Definition at line 301 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_clear_tx_retry_max()

__STATIC_INLINE void ll_iso7816_clear_tx_retry_max | ( | iso7816_regs_t * | ISO7816x | ) |

Clear Transmit Retries Maximum.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | TX_RETRY_MAX_CLR | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance.

Return values

  None. |

Definition at line 282 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_disable_coding_detection()

__STATIC_INLINE void ll_iso7816_disable_coding_detection | ( | iso7816_regs_t * | ISO7816x | ) |

Disable coding detection.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | DATA_CFG | DETECT_CODING | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance.

Return values

  None. |

Definition at line 700 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_enable_coding_detection()

__STATIC_INLINE void ll_iso7816_enable_coding_detection | ( | iso7816_regs_t * | ISO7816x | ) |

Enable coding detection.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | DATA_CFG | DETECT_CODING | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance.

Return values

  None. |

Definition at line 681 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_get_base_addr()

__STATIC_INLINE uint32_t ll_iso7816_get_base_addr | ( | iso7816_regs_t * | ISO7816x | ) |

Get base address for RX and TX buffer.

Register |BitsName ---------|-------- STRT_ADDR| BASE_ADDR

Parameters

  ISO7816x | ISO7816 instance

Return values

  Value | between 0x0 and 0xFFF.

Definition at line 842 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_get_buffer_addr()

__STATIC_INLINE uint32_t ll_iso7816_get_buffer_addr | ( | iso7816_regs_t * | ISO7816x | ) |

Get start address for RX and TX buffer.

Register |BitsName ---------|-------- STRT_ADDR| BASE_ADDR+START_ADDR

Parameters

  ISO7816x | ISO7816 instance

Definition at line 811 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_get_clkdiv()

__STATIC_INLINE uint32_t ll_iso7816_get_clkdiv | ( | iso7816_regs_t * | ISO7816x | ) |

Get clock division.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CLK_CFG | CLK_DIV | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance

Return values

  Returned | value should range between 0x0 and 0xFF.

Definition at line 501 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_get_clkstop_level()

__STATIC_INLINE uint32_t ll_iso7816_get_clkstop_level | ( | iso7816_regs_t * | ISO7816x | ) |

Get value of the clock output during stopped Clock.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CLK_CFG | CLK_STOP_SEL | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance.

Return values

  Returned | value can be one of the following values: LL_ISO7816_CLKSTOP_LOW LL_ISO7816_CLKSTOP_HIGH

Definition at line 461 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_get_coding_convention()

__STATIC_INLINE uint32_t ll_iso7816_get_coding_convention | ( | iso7816_regs_t * | ISO7816x | ) |

Get coding convention.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | DATA_CFG | CODING | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance

Return values

  Returned | value can be one of the following values: LL_ISO7816_CODING_DEFAULT LL_ISO7816_CODING_INVERSE

Definition at line 743 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_get_current_addr()

__STATIC_INLINE uint32_t ll_iso7816_get_current_addr | ( | iso7816_regs_t * | ISO7816x | ) |

Get current address relative to base_addr.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | ADDR | ADDR | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance

Return values

  Value | between 0x0 and 0x3FFFF.

Definition at line 762 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_get_current_addr_frac()

__STATIC_INLINE uint32_t ll_iso7816_get_current_addr_frac | ( | iso7816_regs_t * | ISO7816x | ) |

Get address fraction.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | ADDR | ADDR_FRAC | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance

Return values

  Value | between 0x0 and 0x3.

Definition at line 781 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_get_etudiv()

__STATIC_INLINE uint32_t ll_iso7816_get_etudiv | ( | iso7816_regs_t * | ISO7816x | ) |

Get divide ISO7816 clock.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CLK_CFG | ETU_DIV | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance

Return values

  Returned | value should range between 0x0 and 0x3FF.

Definition at line 542 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_get_guardtime()

__STATIC_INLINE uint32_t ll_iso7816_get_guardtime | ( | iso7816_regs_t * | ISO7816x | ) |

Get time between the leading edges of two consecutive characters.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | TIMES | GUARDTIME | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance

Return values

  Returned | value should range between 0x0 and 0x3FF.

Definition at line 623 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_get_io_states()

__STATIC_INLINE uint32_t ll_iso7816_get_io_states | ( | iso7816_regs_t * | ISO7816x | ) |

Get ISO7816 IO States.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | STAT | IO_STATE | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance.

Return values

  Returned | value can be one or combination of the following values: LL_ISO7816_IO_STATE_OFF LL_ISO7816_IO_STATE_IDLE LL_ISO7816_IO_STATE_RX_WAIT LL_ISO7816_IO_STATE_RX LL_ISO7816_IO_STATE_TX LL_ISO7816_IO_STATE_TX_GUARD

Definition at line 385 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_get_power_states()

__STATIC_INLINE uint32_t ll_iso7816_get_power_states | ( | iso7816_regs_t * | ISO7816x | ) |

Get ISO7816 Power States.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | STAT | PWR_STATE | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance.

Return values

  Returned | value can be one of the following values: LL_ISO7816_PWR_STATE_OFF LL_ISO7816_PWR_STATE_PWRUP_VCC LL_ISO7816_PWR_STATE_PWRUP_RST LL_ISO7816_PWR_STATE_PWRDN_RST LL_ISO7816_PWR_STATE_PWRDN_VCC LL_ISO7816_PWR_STATE_STOP_PRE LL_ISO7816_PWR_STATE_STOP LL_ISO7816_PWR_STATE_STOP_POST LL_ISO7816_PWR_STATE_IDLE LL_ISO7816_PWR_STATE_RX_TS0 LL_ISO7816_PWR_STATE_RX_TS1 LL_ISO7816_PWR_STATE_RX LL_ISO7816_PWR_STATE_TX LL_ISO7816_PWR_STATE_TX_RX

Definition at line 418 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_get_retry_limit()

__STATIC_INLINE uint32_t ll_iso7816_get_retry_limit | ( | iso7816_regs_t * | ISO7816x | ) |

Get maximum number of issued retries before giving up.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | DATA_CFG | RETRY_LIMIT | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance

Return values

  Returned | value should range between 0x0 and 0x7.

Definition at line 662 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_get_rx_end_addr()

__STATIC_INLINE uint32_t ll_iso7816_get_rx_end_addr | ( | iso7816_regs_t * | ISO7816x | ) |

Get RX end address of receive buffer, relative to base_addr.

Register | BitsName -----------|-------- RX_END_ADDR| RX_END_ADDR

Parameters

  ISO7816x | ISO7816 instance

Return values

  Value | between 0x0 and 0x3FFFF.

Definition at line 920 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_get_rx_end_addr_frac()

__STATIC_INLINE uint32_t ll_iso7816_get_rx_end_addr_frac | ( | iso7816_regs_t * | ISO7816x | ) |

Get RX end address fraction.

Register | BitsName -----------|-------- RX_END_ADDR| RX_END_AF

Parameters

  ISO7816x | ISO7816 instance

Return values

  Value | between 0x0 and 0x3.

Definition at line 997 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_get_rx_endbyte_addr()

__STATIC_INLINE uint32_t ll_iso7816_get_rx_endbyte_addr | ( | iso7816_regs_t * | ISO7816x | ) |

Get RX endbyte address of buffer, relative to base_addr.

Register | BitsName -----------|-------- TX_END_ADDR| TX_END_ADDR+TX_END_AF

Parameters

  ISO7816x | ISO7816 instance

Return values

  RX | endbyte address.

Definition at line 982 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_get_rx_retry_max()

__STATIC_INLINE uint32_t ll_iso7816_get_rx_retry_max | ( | iso7816_regs_t * | ISO7816x | ) |

Get Maximum number of seen receive retries after error signaling by ISO7816.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | STAT | RX_RETRY_MAX | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance.

Return values

  Value | range between 0x1 and 0x7.

Definition at line 360 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_get_start_addr()

__STATIC_INLINE uint32_t ll_iso7816_get_start_addr | ( | iso7816_regs_t * | ISO7816x | ) |

Get start address for RX and TX buffer, relative to base_addr.

Register |BitsName ---------|-------- STRT_ADDR| STRT_ADDR

Parameters

  ISO7816x | ISO7816 instance

Return values

  Value | between 0x0 and 0x3FFFF.

Definition at line 873 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_get_tx_end_addr()

__STATIC_INLINE uint32_t ll_iso7816_get_tx_end_addr | ( | iso7816_regs_t * | ISO7816x | ) |

Get end address of transmit buffer, relative to base_addr.

Register | BitsName -----------|-------- TX_END_ADDR| TX_END_ADDR

Parameters

  ISO7816x | ISO7816 instance

Return values

  Value | between 0x0 and 0x3FFFF.

Definition at line 1028 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_get_tx_end_addr_frac()

__STATIC_INLINE uint32_t ll_iso7816_get_tx_end_addr_frac | ( | iso7816_regs_t * | ISO7816x | ) |

Get TX end address fraction.

Register | BitsName -----------|-------- TX_END_ADDR| TX_END_AF

Parameters

  ISO7816x | ISO7816 instance

Return values

  Value | between 0x0 and 0x3.

Definition at line 1059 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_get_tx_endbyte_addr()

__STATIC_INLINE uint32_t ll_iso7816_get_tx_endbyte_addr | ( | iso7816_regs_t * | ISO7816x | ) |

Get TX endbyte address of buffer, relative to base_addr.

Register | BitsName -----------|-------- TX_END_ADDR| TX_END_ADDR+TX_END_AF

Parameters

  ISO7816x | ISO7816 instance

Return values

  TX | endbyte address.

Definition at line 967 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_get_tx_retry_max()

__STATIC_INLINE uint32_t ll_iso7816_get_tx_retry_max | ( | iso7816_regs_t * | ISO7816x | ) |

Get Maximum number of seen transmit retries after error signaling by ISO7816.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | STAT | TX_RETRY_MAX | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance.

Return values

  Value | range between 0x1 and 0x7.

Definition at line 341 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_get_waittime()

__STATIC_INLINE uint32_t ll_iso7816_get_waittime | ( | iso7816_regs_t * | ISO7816x | ) |

Get maximum card response time(leading edge to leading edge)

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | TIMES | WAIT_TIME | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance

Return values

  Returned | value should range between 0x0 and 0x3FFFF.

Definition at line 583 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_is_busy()

__STATIC_INLINE uint32_t ll_iso7816_is_busy | ( | iso7816_regs_t * | ISO7816x | ) |

Get ISO7816 states.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | ACTION | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance.

Return values

  ISO7816 | states

Definition at line 263 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_set_action()

__STATIC_INLINE void ll_iso7816_set_action | ( | iso7816_regs_t * | ISO7816x,
|  | uint32_t | action
| ) |  |

Request ISO7816 to go to the next action.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | ACTION | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance.
  action | This parameter can be one of the following values: LL_ISO7816_ACTION_NONE LL_ISO7816_ACTION_OFF LL_ISO7816_ACTION_STOPCLK LL_ISO7816_ACTION_ON LL_ISO7816_ACTION_WARMRST LL_ISO7816_ACTION_RX LL_ISO7816_ACTION_TX LL_ISO7816_ACTION_TXRX

Return values

  None. |

Definition at line 243 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_set_base_addr()

__STATIC_INLINE void ll_iso7816_set_base_addr | ( | iso7816_regs_t * | ISO7816x,
|  | uint32_t | addr
| ) |  |

Set base address for RX and TX buffer.

Register |BitsName ---------|-------- STRT_ADDR| BASE_ADDR

Parameters

  ISO7816x | ISO7816 instance
  addr | This parameter should range between 0x0 and 0xFFF.

Return values

  None. |

Definition at line 827 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_set_buffer_addr()

__STATIC_INLINE void ll_iso7816_set_buffer_addr | ( | iso7816_regs_t * | ISO7816x,
|  | uint32_t | addr
| ) |  |

Set start address for RX and TX buffer.

Register |BitsName ---------|-------- STRT_ADDR| BASE_ADDR+START_ADDR

Parameters

  ISO7816x | ISO7816 instance
  addr | This parameter should range between 0x0 and 0xFFFFFFFF.

Return values

  None. |

Definition at line 797 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_set_clkdiv()

__STATIC_INLINE void ll_iso7816_set_clkdiv | ( | iso7816_regs_t * | ISO7816x,
|  | uint32_t | value
| ) |  |

Set clock division.

Note
  Divide system clock by this value+1.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CLK_CFG | CLK_DIV | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance
  value | This parameter should range between 0x0 and 0xFF.

Return values

  None. |

Definition at line 482 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_set_clkstop_level()

__STATIC_INLINE void ll_iso7816_set_clkstop_level | ( | iso7816_regs_t * | ISO7816x,
|  | uint32_t | level
| ) |  |

Set value of the clock output during stopped Clock.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CLK_CFG | CLK_STOP_SEL | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance.
  level | This parameter can be one of the following values: LL_ISO7816_CLKSTOP_LOW LL_ISO7816_CLKSTOP_HIGH

Return values

  None. |

Definition at line 440 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_set_coding_convention()

__STATIC_INLINE void ll_iso7816_set_coding_convention | ( | iso7816_regs_t * | ISO7816x,
|  | uint32_t | convention
| ) |  |

Set coding convention.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | DATA_CFG | CODING | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance.
  convention | This parameter can be one of the following values: LL_ISO7816_CODING_DEFAULT LL_ISO7816_CODING_INVERSE

Return values

  None. |

Definition at line 722 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_set_etudiv()

__STATIC_INLINE void ll_iso7816_set_etudiv | ( | iso7816_regs_t * | ISO7816x,
|  | uint32_t | divide
| ) |  |

Set divide ISO7816 clock.

Note
  Divide SIM clock by this value+1 to define ETU length. The reset value is the one, needed for theATR.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CLK_CFG | ETU_DIV | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance
  divide | This parameter should range between 0x0 and 0x3FF.

Return values

  None. |

Definition at line 523 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_set_guardtime()

__STATIC_INLINE void ll_iso7816_set_guardtime | ( | iso7816_regs_t * | ISO7816x,
|  | uint32_t | guardtime
| ) |  |

Set ISO7816 guard_time in ETU.

Note
  Set time between the leading edges of two consecutive characters

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | TIMES | GUARD_TIME | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance
  guardtime | Time between the leading edges of two consecutive characters

Return values

  None. |

Definition at line 605 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_set_retry_limit()

__STATIC_INLINE void ll_iso7816_set_retry_limit | ( | iso7816_regs_t * | ISO7816x,
|  | uint32_t | number
| ) |  |

Set maximum number of issued retries before giving up.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | DATA_CFG | RETRY_LIMIT | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance
  number | This parameter should range between 0x0 and 0x7.

Return values

  None. |

Definition at line 643 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_set_rx_end_addr()

__STATIC_INLINE void ll_iso7816_set_rx_end_addr | ( | iso7816_regs_t * | ISO7816x,
|  | uint32_t | addr
| ) |  |

Set end address of receive buffer, relative to base_addr.

Register | BitsName -----------|-------- RX_END_ADDR| RX_END_ADDR+

Parameters

  ISO7816x | ISO7816 instance
  addr | This parameter should range between 0x0 and 0x3FFFF.

Return values

  None. |

Definition at line 889 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_set_rx_end_addr_frac()

__STATIC_INLINE void ll_iso7816_set_rx_end_addr_frac | ( | iso7816_regs_t * | ISO7816x,
|  | uint32_t | frac
| ) |  |

Set RX end address fraction.

Register | BitsName -----------|-------- RX_END_ADDR| RX_END_AF

Parameters

  ISO7816x | ISO7816 instance
  frac | This parameter should range between 0x0 and 0x3.

Return values

  None. |

Definition at line 936 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_set_rx_endbyte_addr()

__STATIC_INLINE void ll_iso7816_set_rx_endbyte_addr | ( | iso7816_regs_t * | ISO7816x,
|  | uint32_t | addr
| ) |  |

Set RX endbyte address of receive buffer, relative to base_addr.

Register | BitsName -----------|-------- RX_END_ADDR| RX_END_ADDR+RX_END_AF

Parameters

  ISO7816x | ISO7816 instance
  addr | This parameter should range between 0x0 and 0x3FFFF.

Return values

  None. |

Definition at line 905 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_set_start_addr()

__STATIC_INLINE void ll_iso7816_set_start_addr | ( | iso7816_regs_t * | ISO7816x,
|  | uint32_t | addr
| ) |  |

Set start address for RX and TX buffer, relative to base_addr.

Register |BitsName ---------|-------- STRT_ADDR| STRT_ADDR

Parameters

  ISO7816x | ISO7816 instance
  addr | This parameter should range between 0x0 and 0x3FFFF.

Return values

  None. |

Definition at line 858 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_set_tx_end_addr()

__STATIC_INLINE void ll_iso7816_set_tx_end_addr | ( | iso7816_regs_t * | ISO7816x,
|  | uint32_t | addr
| ) |  |

Set end address of transmit buffer, relative to base_addr.

Register | BitsName -----------|-------- TX_END_ADDR| TX_END_ADDR

Parameters

  ISO7816x | ISO7816 instance
  addr | This parameter should range between 0x0 and 0x3FFFF.

Return values

  None. |

Definition at line 1013 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_set_tx_end_addr_frac()

__STATIC_INLINE void ll_iso7816_set_tx_end_addr_frac | ( | iso7816_regs_t * | ISO7816x,
|  | uint32_t | frac
| ) |  |

Set TX end address fraction.

Register | BitsName -----------|-------- TX_END_ADDR| TX_END_AF

Parameters

  ISO7816x | ISO7816 instance
  frac | This parameter should range between 0x0 and 0x3.

Return values

  None. |

Definition at line 1044 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_set_tx_endbyte_addr()

__STATIC_INLINE void ll_iso7816_set_tx_endbyte_addr | ( | iso7816_regs_t * | ISO7816x,
|  | uint32_t | addr
| ) |  |

Set TX endbyte address of buffer, relative to base_addr.

Register | BitsName -----------|-------- TX_END_ADDR| TX_END_ADDR+TX_END_AF

Parameters

  ISO7816x | ISO7816 instance
  addr | This parameter should range between 0x0 and 0x3FFFF.

Return values

  None. |

Definition at line 952 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_set_waittime()

__STATIC_INLINE void ll_iso7816_set_waittime | ( | iso7816_regs_t * | ISO7816x,
|  | uint32_t | wait_time
| ) |  |

Set ISO7816 wait_time in ETU.

Note
  Time between the leading edges of two consecutive characters

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | TIMES | WAIT_TIME | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance
  wait_time | This parameter should range between 0x0 and 0x3FFF.

Return values

  None. |

Definition at line 564 of file gr55xx_ll_iso7816.h.